Menu
Choose a product
Scroll for more
Grafana Cloud
Grafana Cloud Synthetic Monitoring REST API
The Grafana Cloud Synthetic Monitoring REST API provides programmatic access to Synthetic Monitoring resources.
Authentication and authorization
To authenticate with the Grafana Cloud Synthetic Monitoring API, you need the following:
- A Synthetic Monitoring access token
- Your Synthetic Monitoring backend address
Get a Synthetic Monitoring access token
To generate an access token:
- Log in to your Grafana Cloud account.
- Go to Testing & synthetics > Synthetics > Config.
- Click the Access tokens tab.
- Click Generate access token.
- Copy and save your access token.
Get your Synthetic Monitoring backend address
To find your backend address:
- Log in to your Grafana Cloud account.
- Go to Testing & synthetics > Synthetics > Config.
- On the General tab, copy the URL address under “Your backend address is”. For example:
synthetic-monitoring-api-us-east-0.grafana.net.
Example request
Include the access token in the Authorization header and replace the backend address for all requests to the API. The following example lists all checks:
HTTP
GET https://@@@SM_BACKEND_ADDRESS@@@/api/v1/check
Authorization: Bearer @@@SM_ACCESS_TOKEN@@@API reference
View the complete Synthetic Monitoring API reference.
Download the OpenAPI specification file.
Was this page helpful?
Related resources from Grafana Labs
Additional helpful documentation, links, and articles:
Video

Getting started with managing your metrics, logs, and traces using Grafana
In this webinar, we’ll demo how to get started using the LGTM Stack: Loki for logs, Grafana for visualization, Tempo for traces, and Mimir for metrics.
Video

Intro to Kubernetes monitoring in Grafana Cloud
In this webinar you’ll learn how Grafana offers developers and SREs a simple and quick-to-value solution for monitoring their Kubernetes infrastructure.
Video

Building advanced Grafana dashboards
In this webinar, we’ll demo how to build and format Grafana dashboards.